/**
 * Copyright (c) Siemens 2016 - 2026
 * SPDX-License-Identifier: MIT
 */
import { chain } from '@angular-devkit/schematics';
import { getElementMigrationData } from '../migrations/data/index.js';
import { elementMigrationRule } from '../migrations/element-migration/element-migration.js';
import { iconPathMigrationRule } from '../migrations/icon-path-migration/index.js';
import { missingTranslateMigrationRule } from '../migrations/ngx-translate/index.js';
export const migrateToV49 = () => {
    return (tree, context) => {
        context.logger.info('🚀 Starting update from version 48 to 49...');
        const migrationData = getElementMigrationData();
        const options = { path: '/' };
        return chain([
            elementMigrationRule(options, migrationData),
            missingTranslateMigrationRule(options),
            iconPathMigrationRule(options)
        ])(tree, context);
    };
};
